/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_B4SHANDLER_H
#define INC_B4SHANDLER_H

#ifndef INC_TRACK_H
#include "track.h"
#define INC_TRACK_H
#endif

#include <qxml.h>

using TrackSpace::Track;

namespace B4sHandlerSpace {

    class B4sHandler: public QXmlDefaultHandler {
	private:
	Track::Tracklist* fTracklist;
	Track* fCurTrack;
	QString fCharBuffer;
	int fCounter;
	public:
	B4sHandler(Track::Tracklist* tlist);
	
	virtual ~B4sHandler();
	
	bool startDocument();
	bool endDocument();
	bool startElement(const QString&, const QString&, const QString&, const QXmlAttributes&);
	bool endElement(const QString&, const QString&, const QString&);
	bool characters ( const QString & ch );
    };
    
} //close namespace B4sHandlerSpace;

#endif


