/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_DBASEBACKUP_H
#include "dbasebackup.h"
#define INC_DBASEBACKUP_H
#endif
//-----------------------------------------------------------------------------------------------------------
void BackupDbaseDiag::init() {
    binDir->disableDirs();
}
//-----------------------------------------------------------------------------------------------------------
void BackupDbaseDiag::setFields(const QString user, const QString pwd, const QString name, const QString file) {
    userLine->setText( user );
    pwdLine->setText( pwd );
    database->setText( name );
    outputFile->setText( file );
}

//-----------------------------------------------------------------------------------------------------------
bool BackupDbaseDiag::backup() {
    QString dbase = database->text();
    QString file = outputFile->text();
    QString switches = "";
    QString dir = binDir->fileName();
    QString user = userLine->text();
    QString pwd = pwdLine->text();
    
    if (switchesBox->isChecked()) switches = switchesLine->text();
    
    DbaseBackup* bkup = new DbaseBackup(user,pwd,dbase,file,dir,switches);
    return bkup->start();     
}
//-----------------------------------------------------------------------------------------------------------
