/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_COLLECTION_H
#define INC_COLLECTION_H

#ifndef INC_CD_H
#include "cd.h"
#define INC_CD_H
#endif

#ifndef INC_VECTOR
#include <vector>
#define INC_VECTOR
#endif

using std::vector;
using TrackSpace::Track;
using MediaSpace::CD;

namespace CollectionSpace {

class Collection {
	private:
		int fID;
		QString fTitle;
		QString fOwner;
		QString fDesc;
		QString fComment;
		int fAudioCDCount;
		int fMp3CDCount;
		int fMovieCDCount;
		int fDataCDCount;
		vector<CD*> fCDList;

	public:
		Collection();
		~Collection();
		
		void clear();
	
		int getID() const;
		void setID(const int);
		void setID(const QString);

		QString getTitle() const;
		void setTitle(const QString);

		QString getOwner() const;
		void setOwner(const QString);
		
		QString getDesc() const;
		void setDesc(const QString);
		
		QString getComment() const;
		void setComment(const QString);

		void getTracks(Track::Tracklist& tlist) const;
		
		void add(CD*);
		
		int getMp3CDCount() const;
		int getAudioCDCount() const;
		int getMovieCDCount() const;
		int getDataCDCount() const;
	
		void setMp3CDCount(const int);	
		void setMovieCDCount(const int);	
		void setAudioCDCount(const int);	
		void setDataCDCount(const int);	

		typedef std::vector<CD*>::const_iterator ConstCDIterator;

		ConstCDIterator getCDListBegin() const;
		ConstCDIterator getCDListEnd() const;
		
};

}

#endif

