/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_CONSISTENCYCHECKER_H
#define INC_CONSISTENCYCHECKER_H

#include "track.h"
#include "assert.h"
#include "qstringlist.h"
#include "qstring.h"
#include "qprogressbar.h"
#include "log.h"
#include "rcman.h"
#include "settings.h"
#include "consistencyprop.h"

using TrackSpace::Track;
using FileSpace::File;
using RcManSpace::RcMan;

class ConsistencyChecker {
	private:
	    Log* fLogger;
	    RcMan* fRcMan;
	    Settings* fSettings;
	public:
	    ConsistencyChecker(Log* logger, RcMan* rcman, Settings* settings);
	    ~ConsistencyChecker();
	    
	    bool splitFilename(Track* t, ConsistencyProp& properties);
	    bool unknownTrackField(Track* t, ConsistencyProp& properties);
	    void cleanDir( QProgressBar* pBar );
	    bool skipTrack(const Track* t);
	    bool makeConsistent(Track::Tracklist& tlist, QProgressBar* pBar);
	    void rememberArtist(const Track* trk, ConsistencyProp properties);
};

#endif
