/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_DBASEBACKUP_H
#define INC_DBASEBACKUP_H

#ifndef INC_WRITERTXT_H
#include "writertxt.h"
#define INC_WRITERTXT_H
#endif

#include "qobject.h"
#include "qprocess.h"

using WriterSpace::WriterTxt; 

class DbaseBackup : public QObject {
    Q_OBJECT
    
public:
    
    DbaseBackup(const QString user, 
		    const QString pwd, 
		    const QString dbase, 
		    const QString file,
		    const QString dir="",
		    const QString switches="" );
    
    virtual ~DbaseBackup();
    bool start();
    
public slots:
    void readFromStdout();
    void backupFinished();
private:
    QProcess* fProc;
    QString fFile;
    WriterTxt* fWriter;
};

#endif
