/* --------------------------------------------------------------------------

   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_DIRSCANNER_H
#define INC_DIRSCANNER_H

#ifndef INC_FILE_H
#include "file.h"
#define INC_FIlE_H
#endif

#ifndef INC_TRACK_H
#include "track.h"
#define INC_TRACK_H
#endif

#ifndef INC_RCMAN_H
#include "rcman.h"
#define INC_RCMAN_H
#endif

#include <map>
#include <vector>

#include "qdir.h"
#include "qfileinfo.h" 
#include "qstring.h" 
#include "qprogressbar.h"
#include "settings.h"
#include "qmap.h"

using std::map;
using std::vector;
using FileSpace::File;
using TrackSpace::Track;
using RcManSpace::RcMan;

namespace DirScannerSpace {

    class DirScanner {
	private:
	QString fPath;
	RcMan* fRcMan;
	Settings* fSettings;
	
	public:
	DirScanner(RcMan* rc, Settings* set, const QString path);
	~DirScanner();
	
	QString getPath() const;
	void setPath(const QString s);
	
	Track::Tracklist indexMusicDirectory(const QString,
					     const bool recurse = true,
					     const bool incDirs= false,
					     QProgressBar* pBar=0);
	
	File::Filelist indexDirectory(const QString, 
				      const bool recurse = true,
				      const bool incDirs = false);
	
	void scanDir(QString& path, 
		     QString& filter, 
		     QFileInfoList& flistconst, 
		     const bool recurse = true, 
		     const bool incDirs = false);
	
	QString makeAlbum(const QString&s1, const QString& s2);
	
	void getTracksFromSource(const QString fname,Track::Tracklist& tlist, QProgressBar* progressBar);
	void getTracksFromDir(const QString fname,Track::Tracklist& tlist,QProgressBar* progressBar);
	void getTracksFromFile(const QString fname,Track::Tracklist& tlist);
    };
    
} //Close namespace DirScannerSpace

#endif

