Summary:	A music organising database application.
Name:		domo
Version:	2.2
Release:	1
URL:		http://domo.sf.net
License:	GPL
Group:		Applications/Multimedia
Source:		%{name}-%{version}.tar.gz
BuildRequires: id3lib-devel >= 3.8 libmusicbrainz >= 2.0 libmad-devel libogg-devel qt-devel >= 3.3.1 libvorbis-devel
Requires:      id3lib >= 3.8 libmusicbrainz >= 2.0 libmad libogg qt >= 3.3.1 libvorbis
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Domo is a music organizer which indexes digital audio sources, extracts all information
and inserts everything into a relational database. The database can then be queried,
exported and compared with other digital audio sources. Musicbrainz support is also
available for the looking up of Audio CDs or for identifying unknown tracks based
on their TRM audio fingerprint.


%prep
%setup -q

%build

# No configure script available yet

#./configure --prefix=%{_prefix} \
#            --bindir=%{_bindir} \
#            --datadir=%{_datadir} \
#            --includedir=%{_includedir} \
#            --libdir=%{_libdir} \
#            --mandir=%{_mandir} \
#            --sysconfdir=%{_sysconfdir}

# Create the language files
$QTDIR/bin/lrelease domo.pro

# Create the makefile
$QTDIR/bin/qmake domo.pro

# Compile
%make %{?_smp_mflags}

%install

# Creates /etc/domo and /etc/domo/resources,images,languages,doc
# and copies files to those directories.
# Also renames executable from domo-2.1 to domo
# Where the executable is copied depends on the posttarget.extra
# entry in domo.pro

%makeinstall INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files

%{_bindir}/domo
%dir %{_sysconfdir}/domo
%dir %{_sysconfdir}/domo/resources/
%{_sysconfdir}/domo/resources/*.txt
%dir %{_sysconfdir}/domo/images/
%{_sysconfdir}/domo/images/*.png
%dir %{_sysconfdir}/domo/languages/
%{_sysconfdir}/domo/languages/*.qm
%dir %{_sysconfdir}/domo/doc
%dir %{_sysconfdir}/domo/doc/*

#%{_prefix}/domo

%doc INSTALL RELEASE README CHANGELOG

%changelog
* Wed Apr 28 2004 Dirk Gorissen <dgorissen@hotmail.com> 2.2-1
- 2.2

* Mon Jan 12 2004 Hans Schippers <saintiss@arklinux.org> 2.1-2
- use /usr/bin instead of /usr/local/bin

* Mon Jan 05 2004 Gary Greene <greeneg@arklinux.org> 2.1-1
- cleaned up spec so it SHOULD build.

* Sat Jan 03 2004 Dirk Gorissen <dgorissen@hotmail.com> 2.1-1
- 2.1

