/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_DOMOGLOBALS_H
#define INC_DOMOGLOBALS_H

#include "qdir.h"
#include "qstring.h"
#include "qstringlist.h"

#ifndef INC_LOG_H
#include "log.h"
#define INC_LOG_H
#endif

enum ContentType {MP3,WMA,OGG,CDA,WAV,FLAC,UNK};

class DomoGlobals {
    private:
    public:
	
	//Resource files
	static const QString EXTINFO_FILE;
	static const QString GENRELIST_FILE;
	static const QString ARTISTSAFELIST_FILE;
	static const QString KEYWORDS_FILE;
	static const QString HYPHENEDARTISTS_FILE;
	static const QString SPLASHSCREEN;
	
	//Meta globals
	static const QString DOMO_VERSION;
	static const QString AUTHOR_MAIL;
	
	//Important globals
	static const QString DIR_SEP;
	static const QString DOMO_DIR;
	static const QString IMAGE_DIR;
	static const QString RESOURCE_DIR;
	static const QString LANGUAGE_DIR;
	static const QStringList LANGUAGES;
	//I don't like this, but it's necessary for rpm installs, where else to put the
	//resource files so setup knows where to find them?
	static const QString CONFIG_DIR;
	//this determins which types of files are analysed during a directory scan ( ';' or ' ' separated list: eg: "*.mp3 *.ogg");
	static const QString MUSIC_MASK;
	static const QString FILE_TYPES;
	
	//Domo files
	static const QString SETTINGS_FNAME;
	static const QString LOG_FILE;
	
	static Log* logger;    
    };

#endif
