/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_FILEIO_H
#include "fileio.h"
#define INC_FILEIO_H
#endif

#ifndef INC_STRINGMANIP_H
#include "stringmanip.h"
#define INC_STRINGMANIP_H
#endif

#include <string>
#include "qdir.h"
#include "qfile.h"
#include "qfileinfo.h"
#include <fstream>
#include <iostream>
//-----------------------------------------------------------------------------------------------------------
FileIO::FileIO() {
}
//-----------------------------------------------------------------------------------------------------------
FileIO::~FileIO() {
}
//-----------------------------------------------------------------------------------------------------------
/**
* Thanks to: http://www.planet-source-code.com/vb/scripts/ShowCode.asp?txtCodeId=6147&lngWId=3
*/
bool FileIO::copyFile(const QString source, const QString destination) {
    if (!exists(source)) return false;
    bool ok = false;
    std::ifstream fin(source.latin1());
    std::ofstream fout(destination.latin1(), std::ios_base::out | std::ios_base::trunc);
    if (fin.is_open() && fout.is_open()) {
	fout << fin.rdbuf();
	ok = true;
    } else {
	ok = false;
    }
    fin.close();
    fout.close();
    return ok;
}
//-----------------------------------------------------------------------------------------------------------
bool FileIO::exists(const QString name) {
    return QFile::exists(name);
}
//-----------------------------------------------------------------------------------------------------------
bool FileIO::deleteFile(const QString name) {
    return QFile::remove(name);
}
//-----------------------------------------------------------------------------------------------------------
bool FileIO::renameFile(const QString oldname, const QString newname) {
    QDir dir;
    return dir.rename(oldname, newname);
}
//-----------------------------------------------------------------------------------------------------------
bool FileIO::isDirectory(const QString name) {
    if (!exists(name)) return false;
    QFileInfo file(name);
    return file.isDir();
}
//-----------------------------------------------------------------------------------------------------------
