/* --------------------------------------------------------------------------

   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_MYSQLDBASE_H
#define INC_MYSQLDBASE_H

#include "dbase.h"

/** 
      * 90% of these functions throw "DbaseException()"
      */
namespace DbaseSpace {

class MySqlDbase : public Dbase {
private:
public:
    MySqlDbase();
    virtual ~MySqlDbase();
    
    virtual void createNewAccount(const QString rootUser, 
				  const QString rootPass, 
				  const QString user, 
				  const QString pass, 
				  const QString host, 
				  const QString dbase,
			          const QString connectDb="");
    
    virtual void createTmpTrackTable(const QString name);
    virtual void createDbase(const QString  name);    
    virtual int lastInsertID(const QString table);
    
    virtual QString getMasterTable() const;
    virtual QString getVendor() const;
    virtual void createTables();
    virtual QString buildRegexpWhereClause(const QString field, QStringList& slist);
};
    
} //close DbaseSpace
#endif
