/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_IOEXCEPTION_H
#include "ioexception.h"
#define INC_IOEXCEPTION_H
#endif

#include "assert.h"

#ifndef INC_READERB4S_H
#include "readerb4s.h"
#define INC_READERB4S_H
#endif

#ifndef INC_B4SHANDLER_H
#include "b4shandler.h"
#define INC_B4SHANDLER_H
#endif

#include <iostream>
#include "qxml.h"
#include "qfile.h"

using std::cout;
using ReaderSpace::IReader;
using B4sHandlerSpace::B4sHandler;
using ReaderSpace::ReaderB4s;
using TrackSpace::Track;

//-----------------------------------------------------------------------------------------------------------
ReaderB4s::ReaderB4s(const QString fname) : IReader(fname) {
    closeFile();
}
//-----------------------------------------------------------------------------------------------------------
ReaderB4s::~ReaderB4s(){
}
//-----------------------------------------------------------------------------------------------------------
//thanks to: http://doc.trolltech.com/2.3/xml-sax-walkthrough.html
void ReaderB4s::read(Track::Tracklist& tlist) {
       B4sHandler handler(&tlist);
       
       if (!QFile::exists(getFilename())) {
	   throw (new IoException("ReaderB4s::read(Tracklist&)","File '" + getFilename() + "' does not exist"));
       }
       QFile xmlFile(getFilename());
       assert(xmlFile.exists(getFilename()));
       QXmlInputSource source( xmlFile );

        QXmlSimpleReader reader;
        reader.setContentHandler( &handler );

        bool b = reader.parse( source );

     if (!b) throw (new IoException("ReaderB4s::read(Tracklist&)","Post: Error during parse of '" + getFilename() + "'"));
}
//-----------------------------------------------------------------------------------------------------------

