/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_IOEXCEPTION_H
#include "ioexception.h"
#define INC_IOEXCEPTION_H
#endif

#ifndef INC_READERM3U_H
#include "readerm3u.h"
#define INC_READERM3U_H
#endif

#ifndef INC_STRINGMANIP_H
#include "stringmanip.h"
#define INC_STRINGMANIP_H
#endif

using ReaderSpace::IReader;
using ReaderSpace::ReaderM3U;
using TrackSpace::Track;
//-----------------------------------------------------------------------------------------------------------
ReaderM3U::ReaderM3U(const QString s) : IReader(s){
}
//-----------------------------------------------------------------------------------------------------------
ReaderM3U::~ReaderM3U(){
}
//-----------------------------------------------------------------------------------------------------------
void ReaderM3U::read(Track::Tracklist& tlist){
    TextIStream* istream = getStream();
    
    if ((istream == 0) || (!istream->isGood())) throw (new IoException("ReaderM3U::read(Tracklist&)","Pre: Istream is 0 or not good"));
 QString tmp = "";
    QString tmp2 = "";
    int length = 0;
    QString trackInfo = "";
    QString fname = "";
    QString path = "";
    QString len = "";
    int count = 0;
    
    istream->getLine(tmp,false);
    if (tmp != "#EXTM3U") {
	throw (new IoException("ReaderM3U::read(Tracklist&)","'#EXTM3U' header not found in file '" 
			       + getFilename() + "', tmp is '" + tmp + "'"));   
    }
    tmp = "";
    
    while (istream->isGood()) {
	istream->getLine(tmp,false);
	
	tmp2 = tmp;
	if (tmp2.startsWith("#EXTINF:")) { // 7chars
	    //extended information entry found
	    uint i = 8;
	    while ((i < tmp.length()) && (tmp[i] != ',')) {
		len += tmp[i];
		++i;
	    }
	    length = len.toInt();
	    
	    if (length < 0) length = 0;
	    
	    ++i;
	    while (i < tmp.length()) {
		trackInfo += tmp[i];
		++i;
	    }
	    
	    tmp = "";
	    istream->getLine(tmp); //the path to the song
	}
	
	fname = getNameFromPath(tmp);
	path = getPathFromName(tmp);
	
	++count;
	Track* t = TrackSpace::makeTrack(trackInfo); 
	t->setName(fname);
	t->setLength(length);
	t->setPath(path);
	t->setComment(trackInfo);
	t->setTrackNo(count);
	
	if (fname != "") {
	    tlist.push_back(t);
	}
	
	trackInfo = "";
	tmp = "";
	fname = "";
	path = "";
	len = "";
	length = 0;
    }
    
    if ((istream == 0) || (!istream->isOpen())) throw (new IoException("ReaderM3U::read(Tracklist&)","Post: Istream is 0 or not open"));
}
//-----------------------------------------------------------------------------------------------------------

