/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_SETTINGS_H
#define INC_SETTINGS_H

#include "domoglobals.h"
#include "qstring.h"
#include "qmap.h"

class Settings {
    private:
    QString fFilename;
    QMap<QString, QString> fFields;
    void initMap();
    
    public:
    static const QString fDbaseDriver;
    static const QString fDbaseName;
    static const QString fDbaseUser;
    static const QString fDbasePwd;
    static const QString fDbaseHost;
    static const QString fExportDir;
    static const QString fDefaultAddDir;
    static const QString fExtInfoFile;
    static const QString fGenreListFile;
    static const QString fArtistSafeListFile;
    static const QString fHyphenedArtistsFile;
    static const QString fCdromDir;
    static const QString fLengthTol;
    static const QString fTracksPerAlbum;
    static const QString fCommentsMatch;
    static const QString fMaxLength;
    static const QString fDebugLevel;
    static const QString fCssFile;
    static const QString fSkipConsCheck;
    static const QString fKeywordsFile;
    static const QString fRecurseDirs;
    static const QString fSkipQualityCheck;
    static const QString fLanguageFile;
    static const QString fLanguageDir;
    static const QString fMbServer;
    static const QString fMbPort;
    static const QString fMbProxyServer;
    static const QString fMbProxyPort;
    static const QString fMbLogin;
    static const QString fMbPassword;
    static const QString fAutoRename;
    static const QString fAlbumSrcPattern;
    static const QString fAlbumDestPattern;
    Settings(const QString fname = DomoGlobals::DOMO_DIR + DomoGlobals::SETTINGS_FNAME);
    ~Settings();
    bool getSettings();
    bool setSettings() const;
    
    bool contains(const QString key) const;
    
    QString get( const QString key ) const;
    int getInt( const QString key ) const;
    bool getBool( const QString key ) const;
    
    bool set( const QString key, const QString value );
    bool set( const QString key, const int value );
    bool set( const QString key, const bool value );   
};

#endif
