/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#include "setupdialogbase.h"
#include "qstring.h"
#include <qerrormessage.h>

#ifndef INC_DBASE_H
#include "dbase.h"
#define INC_DBASE_H
#endif

#ifndef INC_SETTINGS_H
#include "settings.h"
#define INC_SETTINGS_H
#endif

using namespace DbaseSpace;

class SetupDialog : public SetupDialogBase
{
	Q_OBJECT
private:
	Dbase* fDefaultDB;
	QString fLangFile;
	int fResCode;

public:
	SetupDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags f = 0 );
	
	void setLangFile(const QString s);
	bool setupTables();
	bool install();
	void error(QString s);
	bool createDbase(const QString, const QString, const QString, const QString host="localhost");
	void createNewAccount();
	void createDirs(Settings* s);
	void copyResources(const Settings* s);
	void checkPwd( const QString & s );
	virtual void accept();
	int res() const;
};

