/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_STRINGMANIP_H
#define INC_STRINGMANIP_H

#include "domoglobals.h"
#include "qstring.h"
	
bool isAlnum(const QString s);
QString makeASCII(const QString& s);
bool hasDash(const QString& s);
QString toUpper(const QString s);
bool empty(const QString&);
bool empty(const long);
QString stripExtension(const QString);
QString stripTrackNo(const QString& s);
bool hasTrackNo(const QString& s);
QString getExtension(const QString s);
QString stripTrailingPunct(const QString s);
//subtract s2 from s1
QString subtract(const QString& s1, const QString& s2);
QString toString(const bool b, const bool num=true);
QString largeCase(const QString& s);

void splitOnFirstSep(QString& s1, const char sep, QString& s2);
void splitOnNthSep(QString& s1, const char sep, QString& s2, const uint n);
void splitTrackname(QString fname, QString& artist, QString& title, QString& comment, const uint n=1, const char sep='-');

void splitOnVisibleDash(const QString in, QString& s1, QString& s2, QString& s3, const uint n);
int visibleDashCount(const QString s);

int dashCount(const QString& s);
int sepCount(const QString& s, const char sep);
QString trim(const QString s);
QString extractComment(QString& s);

QString cleanFilename(const QString& in);
QString cleanXml(const QString& in);
void balanceBrackets(QString& s);
	
ContentType getContentType(const QString& filename);

QString getNameFromPath(const QString path);
QString getPathFromName(const QString name);
QString trimDirSeparators(const QString s);

QString encrypt(const QString s);
QString decrypt(const QString s);
#endif

