/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_WRITERHTML_H
#define INC_WRITERHTML_H

#ifndef INC_CD_H
#include "cd.h"
#define INC_CD_H
#endif

#ifndef INC_FILE_H
#include "file.h"
#define INC_FIlE_H
#endif

#ifndef INC_COLLECTION_H
#include "collection.h"
#define INC_COLLECTION_H
#endif

#ifndef INC_IWRITER_H
#include "iwriter.h"
#define INC_IWRITER_H
#endif

#include "qstringlist.h"

using WriterSpace::IWriter;
using FileSpace::File;
using CollectionSpace::Collection;

namespace WriterSpace {

class WriterHtml: public IWriter {
    private:
    QString fStyleSheet;

    public:
    WriterHtml(const QString s);
    virtual ~WriterHtml();
    void writeHeader(const QString s = "");
    virtual void writeFooter(const QString str="");
    void writeIndexFile(const QStringList& idList,const QStringList& titleList, const QString fname,const bool singleFile);
    void write(CD* m,const bool onePerFile=false);
    void write(Collection* c);
    
    void setStyleSheet(const QString sheet);

};

} //close namespace WriterSpace

#endif

