/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_IOEXCEPTION_H
#include "ioexception.h"
#define INC_IOEXCEPTION_H
#endif

#ifndef INC_WRITERM3U_H
#include "writerm3u.h"
#define INC_WRITERM3U_H
#endif

using WriterSpace::IWriter;
using FileSpace::File;
using WriterSpace::WriterM3U;

//-----------------------------------------------------------------------------------------------------------
WriterM3U::WriterM3U(const QString s) : IWriter(s){
}
//-----------------------------------------------------------------------------------------------------------
WriterM3U::~WriterM3U(){
}
//-----------------------------------------------------------------------------------------------------------
void WriterM3U::writeHeader(const QString s) {
      TextOStream* ostream = getStream();

    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::writeHeader","Pre: Ostream is 0 or not good"));
    
    if (s != "") {
	*ostream << s;
    } else {
	*ostream << "#EXTM3U\n";
    }
    
    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::writeHeader","Post: Ostream is 0 or not good"));
}
//-----------------------------------------------------------------------------------------------------------
void WriterM3U::writeFooter(const QString s) {
  TextOStream* ostream = getStream();
    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::writeFooter","Pre: Ostream is 0 or not good"));
    
    if (s != "") {
	*ostream << s;
    } else {
    }
    
    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::writeFooter","Post: Ostream is 0 or not good"));
}
//-----------------------------------------------------------------------------------------------------------
void WriterM3U::write(CD* m,const bool onePerFile){
  TextOStream* ostream = getStream();
    if (m == 0) throw (new IoException("WriterM3U::write(CD*,bool)","Pre: CD is 0"));
    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::write(CD*,bool)","Pre: Ostream is 0 or not good"));
    
    if (onePerFile) {
	writeHeader();
    }
    
    m->writeM3u(ostream);
    
    if (onePerFile) {
	writeFooter();
    }
    
    if ((ostream == 0) || (!ostream->isGood())) throw (new IoException("WriterM3U::write(CD*,bool)","Post: Ostream is 0 or not good"));
}
//-----------------------------------------------------------------------------------------------------------







